TEMPLATE = app
CONFIG += console
CONFIG -= app_bundle
CONFIG -= qt
CONFIG += c++11

CONFIG += static

QMAKE_CFLAGS += -static
QMAKE_CXXFLAGS += -std=c++11
QMAKE_CXXFLAGS += -static

QMAKE_CXXFLAGS += -std=c++11
QMAKE_LFLAGS += -pthread

INCLUDEPATH += ../CamMarkLib/include

debug
{	QMAKE_LIBDIR += .
}

release
{	QMAKE_LIBDIR += .
}

# CAMMARK LIBRARY
QMAKE_LIBS += libCamMarkLib.a

# OPENCV INCLUDES
QMAKE_LIBS += /usr/local/lib/libopencv_contrib.a /usr/local/lib/libopencv_stitching.a /usr/local/lib/libopencv_superres.a /usr/local/lib/libopencv_ts.a /usr/local/lib/libopencv_videostab.a /usr/local/lib/libopencv_gpu.a /usr/local/lib/libopencv_photo.a /usr/local/lib/libopencv_objdetect.a /usr/local/lib/libopencv_legacy.a /usr/local/lib/libopencv_video.a /usr/local/lib/libopencv_ml.a /usr/local/lib/libopencv_calib3d.a /usr/local/lib/libopencv_features2d.a /usr/local/lib/libopencv_highgui.a /usr/local/share/OpenCV/3rdparty/lib/libIlmImf.a /usr/local/lib/libopencv_imgproc.a /usr/local/lib/libopencv_flann.a /usr/local/lib/libopencv_nonfree.a /usr/local/lib/libopencv_core.a

# ADDITIONAL INCLUDES
QMAKE_LIBS += /usr/lib/x86_64-linux-gnu/libjasper.a /usr/lib/x86_64-linux-gnu/libjpeg.a /usr/lib/x86_64-linux-gnu/libtiff.a /usr/lib/x86_64-linux-gnu/libjbig.a /usr/lib/x86_64-linux-gnu/liblzma.a /usr/lib/x86_64-linux-gnu/libpng.a /usr/lib/x86_64-linux-gnu/libz.a /usr/lib/x86_64-linux-gnu/libswscale.a /usr/lib/x86_64-linux-gnu/libavutil.a -lavformat -lavcodec -lpthread -ldl -lstdc++  

# BOOST INCLUDES
QMAKE_LIBS += /usr/local/lib/libboost_system.a /usr/local/lib/libboost_filesystem.a /usr/local/lib/libboost_thread.a /usr/local/lib/libboost_timer.a /usr/local/lib/libboost_chrono.a /usr/local/lib/libboost_date_time.a

HEADERS += \
    stdafx.h \
    targetver.h

SOURCES += \
    CamMarkCalibration.cpp \
    stdafx.cpp
