#!/bin/bash

# Make build output directory
mkdir -p build

# Go into build directory
cd build

# Call qmake on CamMarkLib project
qmake ../CamMarkLib/CamMarkLib.pro
make

# Call qmake on CamMark project
qmake ../CamMark/CamMark.pro
make

# Call qmake on CamMarkStatic project
qmake ../CamMark/CamMarkStatic.pro
make

# Call qmake on CamMarkCalibration project
qmake ../CamMarkCalibration/CamMarkCalibration.pro
make

# Call qmake on CamMarkCalibrationStatic project
qmake ../CamMarkCalibration/CamMarkCalibrationStatic.pro
make
