/*
	Copyright (C) 2015  University of Mannheim

	This file is part of CamMark.

	CamMark is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	CamMark is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with CamMark.  If not, see <http://www.gnu.org/licenses/>.
*/

#pragma once
#ifndef __CAMMARKCALIBRATION_STDAFX__
#define __CAMMARKCALIBRATION_STDAFX__

// Platform compatibility
#ifdef _WIN32

#include "targetver.h"
#include <tchar.h>

#else

#define _TCHAR char
#define _tmain main

#endif

// All includes for the CamMark library
// for calibration code
#include "CamMark_Calibration.h"

// Standard library includes
#include <string>

// Boost thread for platform-independent sleep
#include <boost/thread.hpp>

#endif //__CAMMARKCALIBRATION_STDAFX__