/*
	Copyright (C) 2015  University of Mannheim

	This file is part of CamMark.

	CamMark is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	CamMark is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with CamMark.  If not, see <http://www.gnu.org/licenses/>.
*/

#pragma once

#ifndef __CAMMARK_CALIBRATION__
#define __CAMMARK_CALIBRATION__

#include "../stdafx.h"

#include "../utility/Util.h"
#include "../utility/VideoReader.h"
#include "../utility/BufferedVideoReader.h"
#include "../utility/ThreadCout.h"
#include "../utility/Version.h"

#include "../common/Scenario.h"

#include "../calibration/CalibSpatial.h"
#include "../calibration/CalibAGC.h"
#include "../calibration/CalibTemporal.h"
#include "../calibration/CalibTemporalMarker.h"

#endif //__CAMMARK_CALIBRATION__